Runtime

## org.eclipse.gmf.runtime.diagram.ui.editpolicies
Class DiagramPopupBarEditPolicy

    java.lang.Object
      org.eclipse.gef.editpolicies.AbstractEditPolicy
          org.eclipse.gef.editpolicies.GraphicalEditPolicy
              org.eclipse.gmf.runtime.diagram.ui.editpolicies.DiagramAssistantEditPolicy
                  org.eclipse.gmf.runtime.diagram.ui.editpolicies.PopupBarEditPolicy
                      org.eclipse.gmf.runtime.diagram.ui.editpolicies.DiagramPopupBarEditPolicy

All Implemented Interfaces:
  EditPolicy, java.util.EventListener, MouseMotionListener, PaletteListener, RequestConstants

public class DiagramPopupBarEditPolicy
extends PopupBarEditPolicy
implements PaletteListener

This is the default popup bar editpolicy installed on diagrams. The popup bar is populated using the element types of the tools of the palette drawer of the last selected palette tool. If the diagram was just opened, the popup bar is populated using the element types of the tools of the palette drawer that is initially open. If there is no drawer initially open, then `fillWithDefaults()` is called to initially populate the popup bar.

Nested Class Summary

Nested classes inherited from class org.eclipse.draw2d.MouseMotionListener
`MouseMotionListener.Stub`

Field Summary

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.editpolicies.PopupBarEditPolicy
`imagesToBeDisposed`

Fields inherited from interface org.eclipse.gef.EditPolicy
`COMPONENT_ROLE, CONNECTION_BENDPOINTS_ROLE, CONNECTION_ENDPOINTS_ROLE, CONNECTION_ROLE, CONTAINER_ROLE, DIRECT_EDIT_ROLE, GRAPHICAL_NODE_ROLE, LAYOUT_ROLE, NODE_ROLE, PRIMARY_DRAG_ROLE, SELECTION_FEEDBACK_ROLE, TREE_CONTAINER_ROLE`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`DiagramPopupBarEditPolicy()`

Method Summary
`void` `activate()`
`void` `activeToolChanged(PaletteViewer palette, ToolEntry tool)`
`void` `deactivate()`
`protected void` `fillPopupBarDescriptors()` This is the entry point that subclasses can override to fill the popup bar descrioptors if they have customized tools that cannot be done using the type along with the modeling assistant service.
`protected void` `fillWithDefaults()` Subclasses can override to provide default tools if the popup bar cannot be populated based on the state of the palette.

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editpolicies.PopupBarEditPolicy

`addPopupBarDescriptor, addPopupBarDescriptor, addPopupBarDescriptor, addPopupBarDescriptor, addPopupBarDescriptor, createPopupBarFigure, getAppearanceDelayLocationSpecific, getIsDisplayAtMouseHoverLocation, getPopupBarDescriptors, hideDiagramAssistant, isDiagramAssistant, isDiagramAssistantShowing, isHostConnection, isRightDisplay, mouseHover, mouseMoved, populatePopupBars, setHostConnection, setIsDisplayAtMouseHoverLocation, setLeftHandDisplay, setRightHandDisplay, shouldShowDiagramAssistant, showDiagramAssistant, showDiagramAssistantAfterDelay`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editpolicies.DiagramAssistantEditPolicy
`getAppearanceDelay, getDisappearanceDelay, getDisappearanceDelayUponExit, getMouseLocation, hideDiagramAssistantAfterDelay, isPreferenceOn, mouseDragged, mouseEntered, mouseExited, setAvoidHidingDiagramAssistant, setMouseLocation, shouldAvoidHidingDiagramAssistant`

Methods inherited from class org.eclipse.gef.editpolicies.GraphicalEditPolicy
`addFeedback, getFeedbackLayer, getHostFigure, getLayer, removeFeedback`

Methods inherited from class org.eclipse.gef.editpolicies.AbstractEditPolicy
`debugFeedback, eraseSourceFeedback, eraseTargetFeedback, getCommand, getHost, getTargetEditPart, setHost, showSourceFeedback, showTargetFeedback, toString, understandsRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DiagramPopupBarEditPolicy

    public DiagramPopupBarEditPolicy()

Method Detail

### activate

    public void activate()

  Specified by:
    `activate` in interface `EditPolicy`
  Overrides:
    `activate` in class `PopupBarEditPolicy`

### deactivate

    public void deactivate()

  Specified by:
    `deactivate` in interface `EditPolicy`
  Overrides:
    `deactivate` in class `PopupBarEditPolicy`

### fillPopupBarDescriptors

    protected void fillPopupBarDescriptors()

  Description copied from class: `PopupBarEditPolicy`
  This is the entry point that subclasses can override to fill the popup bar descrioptors if they have customized tools that cannot be done using the type along with the modeling assistant service.

  Overrides:
    `fillPopupBarDescriptors` in class `PopupBarEditPolicy`

### activeToolChanged

    public void activeToolChanged(PaletteViewer palette,
                                  ToolEntry tool)

  Specified by:
    `activeToolChanged` in interface `PaletteListener`

### fillWithDefaults

    protected void fillWithDefaults()

  Subclasses can override to provide default tools if the popup bar cannot be populated based on the state of the palette.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.